## man2html 1.6f%2Brepack

=== debian/changelog ===
man2html (1.6f+repack-1+squeeze1) stable-security; urgency=high

  * man2html.cgi.c: Validate user input and make some error messages less
    verbose to prevent XSS attacks (CVE-2011-2770).

 -- Robert Luberda <robert@debian.org>  Thu, 03 Nov 2011 20:17:54 +0100

man2html (1.6f+repack-1) unstable; urgency=low

  * Remove misleading message from postinst (closes: #582115).
  * Standards-Version: 3.8.4
  * Add short descriptions for all patches (lintian).

  * Switch to the 3.0 (quilt) source format:
    + no longer use dbs (closes: #576055);
    + rebuild the original source tarball;
    + remove Readme.source file.
  * Bump debhelper to v7.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Jun 2010 14:58:08 +0200

man2html (1.6f-3) unstable; urgency=low

  * 031-man2html-BR-empty-line.patch: new patch to ignore font change 
    requests that are note followed by any words (closes: #489181).
  * 032-man2html-man-remove-LO-lines: remove `.LO 1' (lintian).
  * Rename debian/README.build to debian/README.source.
  * Standards-Version: 3.8.0.

 -- Robert Luberda <robert@debian.org>  Sun, 07 Sep 2008 11:08:44 +0200

man2html (1.6f-2) unstable; urgency=low

  * Change doc-base section to Help.
  * Build with debhelper v6.
  * Remove override file for linda.
  * Add copyright notice (lintian).

 -- Robert Luberda <robert@debian.org>  Tue, 15 Apr 2008 22:52:58 +0200

man2html (1.6f-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.7.3 (no changes).
  * 030-man2html-man-hyphens.patch: fix lintian's `hyphen-used-as-minus-sign'.
  * Move url from Description: to the Homepage field.
  * Recommends: apache2 instead of apache, which is no longer available.
  * cron.weekly: use ionice to lower I/O priority.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Jan 2008 11:17:10 +0100

man2html (1.6e-3) unstable; urgency=low

  * Fix package description (closes: #427901).
  * Remove unecessary redirection to /dev/null in debian/prerm.

 -- Robert Luberda <robert@debian.org>  Sun, 01 Jul 2007 11:30:33 +0200

man2html (1.6e-2) unstable; urgency=low

  * Upload to unstable.
  * Problem with parsing tables has been fixed by upstream (closes: #385158).
  * 023-man2html-double-quotes (new): properly decode double quotes inside the
    quoted text (closes: #406098).
  * 024-man2html-uncompress (new):
     + add support for uncompressing gzipped man pages;
     + if the requested page does not exist, try to serve gzipped one
       instead (closes: #418771).
  * 025-man2html-macro-all-args (new): handle \$* and \$@ escapes.
  * 026-man2html-macro-longname (new): support macro names longer than two
    chars (closes: #408232).
  * 027-man2html-macro-priority (new): parse user-defined macros before the
    global ones (closes: #5587).
  * 028-man2html-segfault (new): fix segfault when viewing groff(7) page.
  * 029-man2html-new-macros (new): handle \[xx] escapes and add a few commonly
    used char/string definitions.
  * 017-man2html.seealso (updated): fix comments in man2html(1) page.

 -- Robert Luberda <robert@debian.org>  Thu, 26 Apr 2007 10:01:11 +0200

man2html (1.6e-1) experimental; urgency=low

  * New upstream version.
  * debian/rules: recode the new Italian man pages from dos to unix file
    format.
  * 022-man2html-it-manpage.patch: fix syntax error in the Italian man2html(1) 
    page.

 -- Robert Luberda <robert@debian.org>  Thu,  1 Feb 2007 22:38:24 +0100

man2html (1.6c-6) unstable; urgency=low

  * Initial Galician translation of debconf templates (closes: #412522).

 -- Robert Luberda <robert@debian.org>  Mon, 26 Feb 2007 21:49:29 +0100

man2html (1.6c-5) unstable; urgency=low

  * Russian translation of debconf templates (closes: #406868).

 -- Robert Luberda <robert@debian.org>  Wed, 31 Jan 2007 00:18:22 +0100

man2html (1.6c-4) unstable; urgency=low

  * swish++.conf: Add `WordThreshold 50000' and `StoreWordPositions no'
    to make index++ consume less memory and disk space (closes: #327767).
  * Standards-Version: 3.7.2 (no changes needed). 

 -- Robert Luberda <robert@debian.org>  Sun,  7 Jan 2007 00:39:25 +0100

man2html (1.6c-3) unstable; urgency=low

  * Initial Italian translation of man2html debconf messages (closes: #358161).
  * Recode the French man page into ISO-8859-1 (closes: #363383).
  * 021-man2html-perl-modules: Add support for Perl modules (closes: #363384)
    Thanks to Nicolas François for the patch.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 18:16:02 +0200

man2html (1.6c-2) unstable; urgency=low

  * manwhatis.c: When checking if the manwhatis cache file need to be
    refreshed check timestamps of all the possible index files man-db
    could use for its database. Also force refresh if none such a file
    could be found (closes: #357471).

 -- Robert Luberda <robert@debian.org>  Sat, 18 Mar 2006 16:57:03 +0100

man2html (1.6c-1) unstable; urgency=low

  * New upstream version.
  * 018-man2html-quotes: add support for \(lq and \(rq escape sequences
    (closes: #338339).
    Thanks to Nils Rennebarth <Nils.Rennebarth#web.de> for the patch.
  * 019-man2html-noindex-segfault: fix segfault on man pages with no 
    sections (see bug #349907).
  * 020-man2html-escape_N: add support for \N'n' groff sequences
    (closes: #348553).
  * Add Portuguese translation of man2html debconf messages (closes: #336933).
  * Removed 016-man2html.formstring, applied upstream.
  * debian/rules: Include translated man pages in the binary package.
  * debian/control: bump build-dependency on debhelper as we make use of
    `dh_installman --language'
  * debian/copyright: recode into UTF-8, minor update.

 -- Robert Luberda <robert@debian.org>  Thu,  9 Feb 2006 19:54:35 +0100

man2html (1.6-3) unstable; urgency=low

  * Initial Swedish translation of man2html debconf messages (closes: #331555).
  * Minor correction in mansearch output.
  * Add linda overrides file for 'non-standard-dir-perm' warning.


