## man2html 1.6f+repack

=== debian/control ===
Source: man2html
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4

Package: man2html
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, man-db (>= 2.4.1), debianutils (>= 2.1)
Suggests: manpages, manpages-dev, swish++, lynx | www-browser
Recommends: apache2 | httpd-cgi | lynx
Description: browse man pages in your web browser
 Point your web browser at http://localhost/cgi-bin/man/man2html to read and
 search your manpages in the browser.
 .
 Features:
  * Fast C CGI program for man/BSD-mandoc to HTML conversion.
  * Works from the unformatted nroff/troff source.
  * Source may be compressed.
  * Does tbl tables (but not eqn equations).
  * Generates hypertext links to foobar(1), abc@host, and xyzzy.h files
  * CGI script for whatis-based alpha-indexes by section.
  * CGI script for name-only alpha-indexes by section.
  * CGI script for full text search (requires swish++)
  * Front-end script to talk to a pre-launched netscape.
Homepage: http://users.actrix.gen.nz/michael/vhman2html.html
