=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 
# $Id: rules 234 2010-06-12 12:58:15Z robert $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/$(shell dh_listpackages)
SHELL=/bin/bash
TMPMAN=debian/tmp.man


export DEBIAN_CFLAGS=-Wall -Wshadow -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEBIAN_CFLAGS += -O0
else
  DEBIAN_CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp: $(patched)
	dh_testdir
	# Add here commands to configure the package.
	./configure -d +fhs
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp: $(patched)
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) makefiles && \
	$(MAKE) -C src version.h && \
	$(MAKE) -C man2html
	cd debian/sources && $(MAKE) CC=gcc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp 
	rm -rf $(TMPMAN)
	test ! -f Makefile || $(MAKE) clean
	cd debian/sources && $(MAKE) clean
	dh_clean
 
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) -C man2html PREFIX=$(DESTDIR) install  install-hman 
	cd debian/sources && $(MAKE)  PREFIX=$(DESTDIR) install 

	chown root:www-data $(DESTDIR)/var/cache/man2html
	chmod 0775 $(DESTDIR)/var/cache/man2html

	mkdir -p $(TMPMAN)

	find man man2html/locales -name 'man2html.*' -o -name 'hman.*' | while read mp; do \
		lang=`echo $$mp| sed -e 's|.*/\(..\)/[^/]*$$|\1|'` ; \
		file="$(TMPMAN)/`basename $$mp`"; \
		[ "$$lang" != "en"  ] || continue; \
		echo "Installing $$mp man page ($$lang)" ; \
		tr -d '\015' < "$$mp" > "$$file" || exit 1; \
		dh_installman --language "$$lang" "$$file"  || exit 1; \
	done
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs man2html/README man2html/TODO
	dh_installexamples
	dh_install 
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
#	dh_installinfo
#	dh_undocumented
#	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -Xcache
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_python
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
