## man2html 1.6g

=== debian/changelog ===
man2html (1.6g-14) unstable; urgency=medium

  * Update 037-man2html-Nm-and-Bk-mdoc.patch to fix small regression
    caused by changes in .Bk macro (closes: #902606), and to fix
    handling of .Nm containing punctation-only argument.

 -- Robert Luberda <robert@debian.org>  Wed, 06 Jan 2021 00:32:55 +0100

man2html (1.6g-13) unstable; urgency=medium

  * Add the following patches:
    + 037-man2html-Nm-and-Bk-mdoc.patch to ensure that .Nm mdoc macro
      properly remembers command name, and .Bk ignores -word option
      (closes: #902606);
   + 038-man2html-colon-escape-sequence.patch to handle '\:' sequence
     in the same way as '\%' is handled, i.e. by replacing it with an
     empty string (closes: #922704);
   + 039-hman-sensible-browser-by-default.patch to fix 'executable
     rejected due to location or path' lynx error by using
     sensible-browser instead of lynx by default (closes: #963031).
     Add a NEWS entry about how to reenable lynxcgi in hman.
  * man2html.cgi.c: refactor trim_compress_suffix method to get rid
    of gcc warning.
  * Bump debhelper's compat version to 13.
  * Convert national encoding of debian/po/*.po files to UTF-8 (lintian).
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Dec 2020 16:43:53 +0100

man2html (1.6g-12) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Robert Luberda ]
  * Switch to debhelper v12.
  * Document in both README.Debian, and the package's description that
    installation of man2html might require enabling of CGI module of HTTP
    server manually (closes: #798931, #804204, LP: #1271032).
    This documentation is based on recent Osamu Aoki's work for dwww package.
  * Restrict access to localhost only when running on apache2. Document
    this change in README.Debian, and in debian/NEWS.
  * man2html.cgi.c:
    + fix determining what is section name vs. man page name, so that it is
       now possible to find 7z(1) man page;
    + do not restrict section names to two chars only, to properly show
      man pages for example from section 1posix.
  * manwhatis.c:
    + make sure generated links include the whole section name, instead of
      only its first character;
    + switch generated links to 'section+man page' order to match to the
      links produced by man2html itself.
  * Update 010-aux-debian.patch with correct link to swish++ home page.
  * mansearch: use https for links to debian.org sites.
  * debian/control:
    + depend on sensible-utils instead of debianutils (lintian);
    + remove outdated 'Breaks' and 'Replaces';
    + Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Sat, 03 Aug 2019 16:17:05 +0200

man2html (1.6g-11) unstable; urgency=medium

  * Mark man2html-base Multi-Arch: foreign (closes: #889755).
    Thanks to Helmut Grohne for the patch.
  * manwhatis.c: Fix gcc warning by checking result of fgets() call.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Feb 2018 15:52:16 +0100

man2html (1.6g-10) unstable; urgency=medium

  * Use debhelper v11, and enable all hardening options.
  * Switch debian/control to DEP-5 format.
  * debian/control:
    + suggests and alternative depends on lynx instead of lynx-cur package
      (closes: #882283);
    + set Rules-Requires-Root to binary-targets due to usage of chmod;
    + sort the file with `wrap-and-sort' command;
    + bump Standards-Version to 4.1.3.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2018 16:50:51 +0100

man2html (1.6g-9) unstable; urgency=medium

  * Add 036-fix-tbl-font-parsing.patch not to ignore the tbl header end
    while parsing tbl font specifiers what caused man2html to hang on
    printf(1posix) man page (LP: #1666067).
  * man2html.cgi.c: fix a small typo found by lintian.
  * debian/copyright:
    + add Vcs-Git and Vcs-Browser fields;
    + bump Standards-Version to 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Apr 2017 22:54:48 +0200

man2html (1.6g-8) unstable; urgency=medium

  * Add 035-source-date-epoch.patch to produce reproducible timestamps in
    documentation (closes: #796130).
  * Use `which index++' instead of checking the full /usr/bin/index++
    path to fix lintian's `command-with-path-in-maintainer-script'.
  * postinst: Drop old code for /u/s/d/man2html dir to symlink conversion.
  * Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 26 Oct 2015 00:58:01 +0100

man2html (1.6g-7) unstable; urgency=low

  * utils.c: Fix querystring2argv() to create argv in case man2html and
    manwhatis scripts are run on http server (like lighttpd) that fails
    to do it by its own (closes: #729549, #630530, LP: #389582).
  * man2html.cron.weekly: set proper permissions for generated index
    file (closes: #729548).
  * manwhatis.c: Fix format string warnings (closes: #672821).
  * Refresh debian/patches with `gpb pq import; gbp pq export'.
  * Add 034-UTF8-charset.patch: set charset in `Content-type' header
    to UTF-8 (LP: #873102).
  * mansearch, utils.h: set `Content-type' charset to UTF-8 as well.
  * Switch build system to debhelper v9 and its tiny rules file:
    + make sure debian default CFLAGS, CPPFLAGS, and LDFLAGS are
      properly handled;
    + add support for cross-compiling;
    + ensure parallel builds work (closes: #653424);
    + enable LFS support (lintian).
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Nov 2013 23:57:03 +0100

man2html (1.6g-6) unstable; urgency=high

  * man2html.cgi.c: Validate user input and make some error messages less
    verbose to prevent XSS attacks (CVE-2011-2770).

 -- Robert Luberda <robert@debian.org>  Wed, 02 Nov 2011 20:45:18 +0100

man2html (1.6g-5) unstable; urgency=low

  * man2html.postinst: Convert the /u/s/d/man2html directory into a symlink
    pointing to man2html-base (closes: #616594).

